Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1417683 - subscription-manager is not compatible with python-ethtool-0.3-5.1.el6 and the spec files should require the correct version
Summary: subscription-manager is not compatible with python-ethtool-0.3-5.1.el6 and th...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.8
Hardware: All
OS: Linux
medium
low
Target Milestone: rc
: ---
Assignee: candlepin-bugs
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-30 16:12 UTC by Feras Al Taher
Modified: 2017-12-06 10:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-06 10:44:30 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Feras Al Taher 2017-01-30 16:12:01 UTC
Description of problem:
When installing subscription-manager on rhel6.0, yum does not update python-ethtool to the latest version

Version-Release number of selected component (if applicable):
all subscription-manager versions does not specify a specific compatible release of python-ethtool

How reproducible:
install rhel6.0, and then try to subscribe it with entitlement. subscription manager wont be installed. thus you need to first subscribe rhel6.0 with rhn to be able to install the subscription-manger via yum. this will then install the latest subscription-manger and will start to generate the following error:
Error reading network interface information: <type 'exceptions.AttributeError'>

This error is generated old pyton-ethtool packages and it confuses our customers when using subscription-manager
 
Steps to Reproduce:
1. install a new rhel6.0
2. subscribe rhel6.0 to rhn
3. yum install subscription-manager (notice that python-ethtool is not updated to the latest version)
4- run any subscription-manager command like:
 * subscription-manager register
 * subscription-manager attach
 * subscription-manager status
 * subscription-manger repos
notice the following error:
Error reading network interface information: <type 'exceptions.AttributeError'>

Actual results:
[root@feras-gfs-etisalat60-node1 ~]# subscription-manager register
WARNING

This system has already been registered with Red Hat using RHN Classic.

Your system is being registered again using Red Hat Subscription Management. Red Hat recommends that customers only register once.

To learn how to unregister from either service please consult this Knowledge Base Article: https://access.redhat.com/kb/docs/DOC-45563
Registering to: subscription.rhsm.redhat.com:443/subscription
Username: rhn-support-faltahe
Password: 
Error reading network interface information: <type 'exceptions.AttributeError'>
The system has been registered with ID: a45a1381-6686-459f-8ff0-f521ce199bf3

Expected results:
no errors should be generated

Additional info:
https://access.redhat.com/solutions/2893311

Comment 2 Barnaby Court 2017-02-02 15:23:55 UTC
We need to determine the proper minimum version of python-ethtool and include that in the spec file for subscription-manager.

Comment 3 Feras Al Taher 2017-09-06 03:47:00 UTC
[feras@BigFOT rhsm-1-12]$ grep "Error reading network interface information" * -r
usr/share/rhsm/subscription_manager/hwprobe.py:            print _("Error reading network interface information:"), sys.exc_type

>>> From usr/share/rhsm/subscription_manager/hwprobe.py:
        try:
            interfaces_info = ethtool.get_interfaces_info(ethtool.get_devices())
.
.
.
                # However, old version of python-ethtool do not support
                # get_ipv4_address
                #
                # python-ethtool's api changed between rhel6.3 and rhel6.4
                # (0.6-1.el6 to 0.6-2.el6)
                # (without revving the upstream version... bad python-ethtool!)
                # note that 0.6-5.el5 (from rhel5.9) has the old api
                #
                # previously, we got the 'ipv4_address' from the etherinfo object
                # directly. In the new api, that isn't exposed, so we get the list
                # of addresses on the interface, and populate the info from there.
                #
                # That api change as to address bz #759150. The bug there was that
                # python-ethtool only showed one ip address per interface. To
                # accomdate the finer grained info, the api changed...
                #
                # FIXME: see FIXME for get_ipv6_address, we don't record multiple
                # addresses per interface
                if hasattr(info, 'get_ipv4_addresses'):
.
.
.
        except Exception:
            print _("Error reading network interface information:"), sys.exc_type



>>> From https://access.redhat.com/downloads/content/python-ethtool/0.6-6.el6/x86_64/fd431d51/package-changelog:

2012-10-12 David Malcolm <dmalcolm@redhat.com> - 0.6-2
    - fix typo in pethtool --help
    Resolves: rhbz#692028
    - fix memory leaks
    Resolves: rhbz#698125
    - add IPv6 information to pifconfig
    Resolves: rhbz#698192
    - respect interface arguments to pifconfig
    Resolves: rhbz#714753
    - add a get_ipv4_addresses() method to ethtool.etherinfo to support devices
    with multiple IPv4 addresses
    Resolves: rhbz#759150

>>> Conclusion: the minimum pyton-ethtool is 0.6-2

I will test the fix and report this back to bugzilla

Comment 4 Feras Al Taher 2017-09-06 04:04:54 UTC
python-ethtool-0.6-2 was not ported from upstream to RHEL6

The minimum package to specify should be python-ethtool-0.6-3.el6.x86_64.rpm or greater

Comment 6 Jan Kurik 2017-12-06 10:44:30 UTC
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/


Note You need to log in before you can comment on or make changes to this bug.